[data-theme="dark"] {
  --a-color: #96d4e9;
  --active-page-hover-color: grey;
  --altrow-bg: rgb(0, 0, 0, .15);
  --art-first-read-orange: rgb(223, 134, 32, 0.7);
  --base-bg-5: rgb(255, 255, 255, .05);
  --base-bg-10: rgb(255, 255, 255, .1);
  --base-bg-15: rgb(255, 255, 255, .15);
  --base-bg-20: rgb(255, 255, 255, .2);
  --base-bg-30: rgb(255, 255, 255, .3);
  --bg-compose: rgb(255, 195, 128, 0.1);
  --bg-notice: #262626;
  --bg-row-emphasize: var(--a-color);
  --bg-row-even: var(--altrow-bg);
  --bg-thread-reply: #3b3b3b;
  --bg-alt: #303030;
  --bg-alt2: #404040;
  --border1: #505050;
  --collapsible-toggle-color: var(--bg-alt);
  --dropdown-content-input: var(--bg-row-emphasize);
  --dropdown-content-input-hover: var(--base-bg-10);
  --horiz-collapsible-toggle-hover: #daebf1;
  --lin-grad-bottom: rgb(60,60,60,1);
  --lin-grad-top: rgb(23,23,23,0);
  --link-btn-input: #2da9d2;
  --linkcolor: var(--a-color);
  --sub-menu-content-border-color: rgb(0, 0, 0, 0.1);
  --text1: #daebf1;
  --text2: #1a1a1a;
  --text3: #ffe0bc;
  --text4: #ffc380;
  --th-background: rgb(0, 0, 0, .25);
  --thread-linear-grad: linear-gradient(to bottom, var(--lin-grad-top), var(--lin-grad-bottom) 100%);
  --panel-link-active-color: var(--text1);
  --value-color: lightgrey;
  --vlink: var(--link-btn-input);
}

[data-theme="light"] {
  --a-color: #39a3c6;
  --active-page-hover-color: lightgrey;
  --altrow-bg: rgb(0, 0, 0, .05);
  --art-first-read-orange: rgb(255, 195, 128, 0.7);
  --base-bg-5: rgb(0, 0, 0, .05);
  --base-bg-10: rgb(0, 0, 0, .1);
  --base-bg-15: rgb(0, 0, 0, .15);
  --base-bg-20: rgb(0, 0, 0, .2);
  --base-bg-30: rgb(0, 0, 0, .3);
  --bg-compose: rgb(255, 195, 128, 0.15);
  --bg-notice: #474339;
  --bg-row-emphasize: #2898bd;
  --bg-row-even: var(--altrow-bg);
  --bg-thread-reply: #ebe9e1;
  --bg-alt: #F9F5EC;
  --bg-alt2: #D4D1C9;
  --border1: var(--base-bg-20);
  --collapsible-toggle-color: var(--base-bg-20);
  --dropdown-content-input: #1a1a1a;
  --dropdown-content-input-hover: var(--base-bg-15);
  --horiz-collapsible-toggle-hover: #daebf1;
  --lin-grad-bottom: rgb(235,233,225,1);
  --lin-grad-top: rgb(255,255,255,0);
  --link-btn-input: #2da9d2;
  --linkcolor: var(--a-color);
  --sub-menu-content-border-color: var(--base-bg-15);
  --text1: #1A1A1A;
  --text2: #daebf1;
  --text3: #bf8440;
  --text4: #df8620;
  --th-background: var(--base-bg-15);
  --thread-linear-grad: linear-gradient(to bottom, var(--lin-grad-top), var(--lin-grad-bottom) 100%);
  --panel-link-active-color: var(--text3);
  --value-color: darkgrey;
  --vlink: #387d94;
}

/* ---------------------------------------------------- */
body {
  color: var(--text1);
  background-color: var(--bg-alt);
  font-family: "Segoe UI",SegoeUI,"Helvetica Neue",Helvetica,Arial,Tahoma,sans-serif;
}

footer {
  width: 100%;
  margin-top: 50px;
  padding: 15px 0 50px 0;
  border-top: 1px solid var(--base-bg-15);
  text-align: center;
  display: flex;
  flex: 0 0 auto;
  justify-content: center;
}

.footer_item {
  margin-right: 0 !important;
  padding-left:10px;
  padding-right:10px;
  align-self: baseline;
}

hr { border: 1px solid var(--hr-color) }
h1, h2, h3, h4 {
  font-variant-caps: small-caps;
  color: #2898bd;
  margin-bottom: 0;
  padding-bottom: 4px;
  margin-top: 0;
  padding-top: 16px;
  font-weight: normal;
  white-space: normal;
}

a {
  color: var(--a-color);
  text-decoration: none;
}

a:visited { color: var(--vlink) }

a:hover, a:active,
select option {
  color: var(--text3);
  text-decoration: underline;
}

svg {
  padding: 0;
  margin:0;
}

.button,
textarea,
input,
select,
select option {
  color: var(--text1);
  font-size:medium;
  background-color: var(--base-bg-10);
  border-style: hidden;
  border-radius:3px;
  padding:5px;
  margin: 4px 4px 4px 0;
  width:auto;
  box-sizing: border-box;
  outline: none;
}
.button,
input[type="button"],
select,
select option {
  cursor:pointer;
}
select option {
  background: var(--bg-alt2) !important;
}
.button {
  color: var(--text1) !important;
}
.button_disabled {
  opacity: 0.6;
  cursor: not-allowed !important;
}
a.button:hover, a.button:active {
  text-decoration: none !important;
}
label:has(input.checkbox) {
  display: flex;
  flex-flow: nowrap;
}

.cb_button, .cb_button_checked {
  font-size: 1.7rem;
  background-color: transparent;
  padding:0;
}
.cb_button_checked {
  cursor: auto;
  pointer-events: none;
}

/* ----------------------------------------------------
  SVG Link Button Container
---------------------------------------------------- */
/* search, login, next unread, drop-down nav, etc */
.LinkButtons {
  display: flex;
  flex: 0 0 auto;
}
.LinkButtons * { vertical-align: middle; }
.LinkButtons a,
.LinkButtons a:link, .LinkButtons a:visited,
.LinkButtons input {
  text-align: center;
  text-decoration: none !important;
  display: inline-block;
  border-style: hidden;
  padding: 4px 4px 4px 4px;
  margin-top: auto;
  margin-bottom: auto;
  margin-right: 8px;
  width: auto;
  color: var(--link-btn-input) !important;
  background-color: transparent;
}
.LinkButtons input:hover, .LinkButtons input:active,
.LinkButtons a:hover, .LinkButtons a:active {
  background-color: var(--base-bg-10);
  border-radius: 3px;
  color: var(--text1);
  cursor:pointer;
}
table .LinkButtons a {
  font-size: small;
  padding: 0;
  margin: 0;
}

/* ----------------------------------------------------
  Drop Down Menus
---------------------------------------------------- */
/* div containing btn and content */
.dropdown {
  position: relative;
  display: inline-block;
}
.dropbtn {
  color: #2898bd;
  font-size: 1.4rem;
  border-style: hidden;
  padding: 4px;
}
.dropbtn:hover {
  color: #2898bd;
  text-decoration: none !important;
}
.dropdown-content {
  display: none;
  position: absolute;
  box-shadow: 0 8px 16px 0 rgb(0, 0, 0, 0.2);
  width: fit-content;
  color: var(--text1);
  background: var(--bg-alt2) !important;
  padding: 4px;
  z-index: 3;
}
.dropdown-content a,
.dropdown-content input {
  display: block;
  text-wrap: nowrap;
  background-color: transparent;
  padding: 5px 8px 5px 8px;
  text-decoration: none !important;
  color: var(--dropdown-content-input);
  text-align: left !important;
}
.dropdown-content a:hover, .dropdown-content a:active,
.dropdown-content input:hover, .dropdown-content input:active {
  color: var(--text1);
  background-color: var(--dropdown-content-input-hover);
  border-radius: 3px;
}
.dropdown:hover .dropdown-content,
.dropdown:hover .dropdown-content a {
  display: block;
  padding: 5px 12px 10px 12px;
  top: 100%;
  right: 0;
}

/* ----------------------------------------------------
  Columns
---------------------------------------------------- */
.row {
  display: flex;
  align-items: flex-start;
  height: auto;
  width: 100%;
  flex-wrap: wrap;
  column-gap: 30px;
}
.col {
  border-radius: 3px;
  border-style: hidden;
  white-space: nowrap;
  min-width: 210px;
}

/* ----------------------------------------------------
  Collapsible Sections
---------------------------------------------------- */
.ToggleHdr {
  text-align: left;
  font-size: large;
  font-weight: normal;
  color: #2898bd;
  background-color: transparent;
  border: 0;
  border-radius: 3px;
  width: 100%;
  cursor: pointer;
  margin: 8px 0 8px 0;
  padding: 5px 0 5px 5px;
  vertical-align: baseline;
  line-height: 24px;
 }
.ToggleHdr:hover {
  color: var(--text1);
  background-color: var(--base-bg-10);
}
.ToggleHdr::before {
  content: '\25B8';
  color: #7FBFFF;
  font-size: x-large;
  float: left;
  padding: 2px 8px 0 0;
}
.ExpandedHdr::before {
  content: "\25BE";
  font-size: x-large;
}
.collapsible{
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

/* div containing toggle btn and content */
.horiz_collapsible {
  display: flex;
  width: fit-content;
}
.horiz_collapsible * {
  margin-top: auto;
  margin-bottom: auto;
}
.horiz_collapsible_expanded {
  background-color: var(--base-bg-10);
  border-style: hidden;
  border-radius:3px;
}
/* element that toggles expanded/collapsed */
.horiz_collapsible_toggle {
  margin-top: auto;
  margin-bottom: auto;
}
.horiz_collapsible_toggle:hover {
  color: var(--horiz-collapsible-toggle-hover);
  background-color: var(--base-bg-10);
}
.horiz_collapsible_toggle::after {
  content: '\00A0\25B8';
}
.horiz_collapsible_toggle_expanded {
  border-right: 1px solid var(--collapsible-toggle-color) !important;
  color: var(--text1) !important;
}
.horiz_collapsible_toggle_expanded::after {
  content: "\00A0";
}
/* div being expanded/collapsed */
.horiz_collapsible_content {
  width: fit-content;
  max-width: 0;
  overflow: hidden;
  transition: max-width 0.15s ease-out;
}
.horiz_collapsible_content * {
  margin: 0;
  margin-right: 8px;
}

/* ----------------------------------------------------
  Detail Box
---------------------------------------------------- */

table.DetailBox {
  background-color: transparent;
  border-style: hidden;
}
.Label {
  color: #2898bd;
  font-variant-caps: small-caps;
  padding-right: 20px;
}
.Value {
  font-variant: normal;
  color: var(--value-color);
  padding-left: 24px;
}

/* ----------------------------------------------------
  Guru Header
---------------------------------------------------- */
/* buffer height is set to banner height in script to account for fixed height */
.HeaderBuffer {
  height: 90px;
  display: block;
  color: transparent;
  background-color: transparent;
}
.HeaderBanner {
  position: fixed;
  z-index: 2;
  background-color: var(--bg-alt);
  border-color: var(--border1);
  border-width: 0;
  border-bottom-style: solid;
  border-bottom-width: 3px;
  white-space: nowrap;
  display: flex;
  flex: 0 0 auto;
  align-items: flex-start;
}
.HeaderBuffer, .HeaderBanner {
  top: 0;
  width: 100%;
  padding: 15px 0 16px 0;
  margin: 0;
}
.HeaderBanner * {
  padding: 0;
  margin: 0;
  white-space: nowrap;
  align-self: last baseline;
}
.HeaderBanner .dropbtn {
  background-color: var(--bg-alt);
}
/* user not logged in, nav hidden */
.title_NoNav .nav {
  flex: 1 1 100%;
}
/* GURU */
.GuruTitle {
  color: #2898bd !important;
  font-weight: bold;
  font-size: 2.5rem;
  text-decoration: none;
  font-family: "Segoe UI", SegoeUI, "Helvetica Neue", Helvetica, Arial, Tahoma, sans-serif;
}
a.GuruTitle:hover {
  text-decoration: none !important;
}
/* page drop-down & crumbs */
.ActivePage {
  background-color: rgb(0, 0, 0, 0.15) !important;
}
.ActivePage:hover {
  color: var(--active-page-hover-color) !important;
  text-decoration: none !important;
  background-color: rgb(0, 0, 0, 0.3) !important;
}
.nav {
  margin-left: 28px;
  width: 100%;
  padding-bottom: 0;
}

.crumbs {
  color: var(--text1);
  display: inline-block;
  margin-left: 20px;
  font-size: small;
}
.crumbs a:hover {
  background-color: transparent !important;
  color: var(--text3);
}
.crumbs a:active {
  background-color: transparent !important;
  color: #ffc380;
}

/* # unread, mark all read, next unread  */
.article_unread {
  padding-left: 16px;
  margin-right: 16px;
  border-left: 1px solid var(--border1);
}

/* non-prod host, hostenv username */
.env {
  color: var(--value-color);
  padding-bottom: 8px;
  padding-right: 20px;
  white-space: nowrap;
  margin-left: auto;
  margin-right: 0;
}

/* ----------------------------------------------------
  Main Content
---------------------------------------------------- */
.content, .content_box, .content_wide, .content_mid, .content_narrow {
  margin: auto;
  padding: 0 30px 40px 30px;
  height: auto;

  /* as window narrows, allow the main box to take up more screen */
  width:60%;
  min-width: 50%;
  /*
  @media (max-width:1500px) { width: 60%; }
  @media (max-width:1200px) { width: 70%; }
  @media (max-width:1100px) { width: 75%; }
  @media (max-width:750px) { width: 80%; }
  @media (max-width:500px) { width: 90%; }
  @media (max-width:400px) { width: 100%; }
  */
}
.content, .content_wide, .content_narrow { width: fit-content; }
.content { max-width:70%; }
.content_wide { max-width:95%; }
.content_narrow { max-width: 50% }
.content_center * { margin: auto; }

.content_header,
.content_header_left {
  white-space: nowrap;
  padding-bottom: 8px;
  margin-right: 8px;
  width: auto;
  flex-wrap: nowrap;
}
.content_header_left .col:first-child {
  flex-grow:1;
}
.content_header_left .nav_details {
  align-items: center;
  justify-content: end;
}

.content_box, .box {
  padding: 20px 30px 40px 30px;
  background-color: var(--base-bg-5);
  border-radius: 3px;
  border-style: hidden;
}

.hide { display: none; }
.fit { width: fit-content; }
.align_top { margin-top: 0 !important; }
.align_right { margin-right: 30px !important; }
.align_left { margin-left: 30px !important; }
.no_wrap {
  display: flex;
  flex-wrap: nowrap;
}
.wrap {
  max-width: 100%;
  white-space: normal !important;
  overflow-wrap: break-word;
}
.small_text { font-size: small; }

.sub_menu_hdr {
  font-size: large;
  margin-top: 12px;
  color: grey;
}
.sub_menu_content {
  margin: 8px;
  margin-left: 12px;
  border-left: 2px solid var(--sub-menu-content-border-color) !important;
}
.sub_menu_content a:hover {
  border-radius:0 3px 3px 0;
}

.Item {
  padding: 5px;
  margin-right: 10px;
}

.tags {
  display: flex;
  flex: 0 0 auto;
}
.tags * {
  align-self: baseline;
 }
.edit_tags {
  border-left: 1px solid #505050;
  padding-left: 16px;
  margin-left:24px;
}

/* div around all syntax:// tags */
.syntax_block {
  white-space: pre;
  overflow-x: auto;
}

/*
  article_tags            - the outer div
  article_tag             - used tag div with name and x
  article_tag_name        - name on article_tag
  article_tag_delete      - x button on article_tag
  article_tag_drop_btn    - + button to open drop down
  article_tag_add         - existing tag div in drop down to add
  article_tag_add_new     - edit in drop down to add new
*/
.article_tags {
  display: flex;
  flex-wrap: wrap;
  row-gap: 10px;
}
.article_tags * { align-self: center; }
.article_tags a {
  padding: 2px 4px 2px 4px !important;
  margin: auto;
  vertical-align: middle;
  font-size: unset;
}
.article_tag {
  display: flex;
  flex-wrap: nowrap;
  padding: 2px 4px 3px 4px;
  height: fit-content;
  background-color: var(--base-bg-10);
  border-style: hidden;
  border-radius:3px;
  margin: 0 4px 0 4px;
}
.article_tag_delete {
  background-color: transparent;
  margin: 0;
  font-size: x-small;
}
a.article_tag_name:hover,
.article_tag_add input:hover {
  text-decoration: none !important;
  background-color: transparent;
}
.article_tags .dropbtn:hover {
  padding: 4px 4px 5px 4px !important;
}
.article_tags .dropdown-content {
  padding-right: 24px !important;
}
.article_tags .dropdown:hover .dropdown-content,
.article_tags .dropdown:hover .dropdown-content a {
  left:0;
}
.article_tag_add_new {
  margin: 0;
  width: 100% !important;
}
.article_tag_add {
  display: flex;
  flex-wrap: nowrap;
}
.article_tag_add:hover {
  background-color: var(--base-bg-10);
  border-style: hidden;
  border-radius:3px;
}
.article_tag_add input {
  width: fit-content;
  min-width: 40%;
  margin-left: 0 !important;
  margin-right: 0 !important;
}

/* header with subject, actions drop down, unread nav */
.article_header {
  white-space: nowrap;
  display: flex;
  flex: 0 0 auto;
  align-items: flex-start;
  width: 100%;
}
.article_header .LinkButtons:last-child a {
  margin-right: 0;
}

.article_subject_col {
  width: 100%;
  white-space: normal;
}
.article_subject {
  color: #2898bd;/* dd8c3c; */
  font-size: x-large;
  white-space: normal;
  overflow-wrap: break-word;
}
/* posted by, posted on */
.article_meta {
  color: grey;
  font-size: small;
  margin-right: 15px;
  white-space: nowrap;
}

/* article content */
.article_body {
  white-space: pre-wrap;
  overflow-wrap: break-word;
  font-family: monospace;
  line-height: 150%;
}

.article_first_read {
  border-top: 6px solid var(--art-first-read-orange) !important;
}
.article_read_done {
  border-top: 6px solid var(--base-bg-30) !important;
}

/* back/forward nav through thread */
.article_threadnav {
  margin: auto;
  width: 63%;
  padding: 0;
  height: auto;
  white-space: nowrap;
  display: flex;
}
.article_threadnav a:hover {
  text-decoration: none;
}
.article_threadnav:nth-child(2) .col {
  flex-grow:1;
}
.article_threadprev {
  display: flex;
}
.article_threadnext .dropdown-content .UnreadText {
  color:var(--text4) !important;
}
.article_threadnext {
  display: flex;
  margin-left: auto;
  margin-right: 16px;
  padding-left: 16px;
}
.panel_link {
  padding: 5px 8px 5px 8px;
  margin: 4px 4px 4px 0;
  cursor:pointer;
}
.panel_link:hover,
.panel_link:active {
  background-color: var(--base-bg-10);
  border-radius: 3px;
  color: var(--panel-link-active-color);
  cursor:pointer;
}

.article_thread_tree_grid .TreeGrid {
  background-color: transparent;
  border: none;
}

.title {
  margin-bottom: 30px;
}
.title .title_name {
  font-size: x-large;
  white-space: normal;
  overflow-wrap: break-word;
}
.title .title_notes {
  font-size: small;
  margin-left: 16px;
  color: grey;
}

.tag_header {
  margin-bottom: 24px;
  display: flex;
}
.tag_header .title_notes {
  margin-left: 24px;
  align-self: center;
}
.tag_header .small_text {
  margin-left: 15px;
}
.tag_article_header {
  display: flex;
  flex-wrap: nowrap;
  align-items: flex-end;
  margin-bottom: 8px;
}
.tag_article_header * {
  margin: auto;
  margin-right: 4px;
}
.tag_article_header *:not(:first-child) {
  margin: 0;
}

/* base ForumCompose panel */
.compose {
  justify-content: center;
  align-items: flex-start;
  max-width: 95%;
}
.compose .LinkButtons * {
  margin: 0 !important;
  margin-bottom: 2px !important;
}
/* edit & preview columns */
.compose .col:not(:first-child) {
  min-width: 30%;
  max-width: 100%;
  margin-top: 0;
  flex: 1 1 0;
}
/* ToolbarPanel, first column */
.compose_toolbar {
  flex: 0 0 auto;
  top: 137px;
  position: sticky;
  overflow-y: auto;
  height: fit-content;
  max-height: 90vh;
  width: fit-content;
  min-width: 24px;
  margin: 0;
  margin-top: 0;
  padding: 0;
}
.compose_toolbar .LinkButtons {
  width: fit-content !important;
  flex-direction: column;
}
.compose_toolbar hr {
  margin: 4px 0 4px 0 !important;
}
.compose_post input {
  padding: 8px;
}
.compose_post input:hover {
  background-color: var(--text4);
  color: var(--text2);
  padding-left: 7px;
  padding-right: 7px;
  font-weight: bold;
}
/* EditPanel, second column */
.compose_edit {
  height: 100%;
  margin: 0 !important;
  padding: 19px 20px 10px 20px;
  background-color: var(--bg-compose);
  border-radius: 3px;
  border-style: hidden;
}
.compose_edit *  {
  margin-top: 0;
  width: 100%;
  background-color: transparent;
}
.compose_edit input  {
  font-size: x-large;
  margin-bottom: 15px;
  width: 100%;
}
.compose_edit textarea {
  height: 100%;
  resize: vertical;
  line-height: 150%;
  padding: 0;
 }
/* PreviewPanel, third column */
.compose_preview {
  background-color: var(--base-bg-5) !important;
  padding: 20px;
  padding-bottom: 31px;
}
.compose_preview .article_body {
  min-height: 200px;
}
.compose_warnings {
  padding-bottom: 20px;
  margin-bottom: 20px;
  margin-top: -50px;
  width: 100%;
}
.compose_warnings * {
  margin: 8px;
}

.article_preview { padding-left: 6px; }

.upload_img_row {
  justify-content: center;
  flex-direction: column;
  align-items: stretch;
}
.upload_img_row .col {
  margin: auto;
}
.upload_img_preview {
  max-width: 50vw;
  display: block;
  margin: auto;
  border: 2px solid transparent;
}
.upload_img_preview:hover {
  border: 2px solid grey;
}
.img_bg {
  border-radius: 3px;
  border-style: hidden;
  width: fit-content;
  margin: auto;
  padding: 4px 50px 30px 50px;
}
.img_bg .img_header_row {
  margin-right: -46px;
}
.img_bg .img_header_row a {
  margin: 0;
}
.img_bg .img_header_row a:hover {
  text-decoration: none !important;
}
.img_bg img {
  margin: 50px;
}
[data-theme="dark"] .bg_light {
  background-color: #ece9df;
}
[data-theme="dark"] .bg_dark {
  background-color: transparent;
  border: 2px solid rgb(0, 0, 0, .25);
  border-radius: 3px;
}
[data-theme="light"] .bg_light {
  background-color: transparent;
  border: 2px solid rgb(255, 255, 255, .5);
  border-radius: 3px;
}
[data-theme="light"] .bg_dark {
  background-color: #404040;
}

.img_col {
  display: inline-block;
}
.img_header_row {
  display: flex;
  flex-direction: row;
  height: fit-content;
  justify-content: flex-end;
  column-gap: 8px;
  align-items: stretch;
  margin-bottom: 10px;
}
.img_header_row .col:last-child {
  flex: 1;
  white-space: normal;
  display:block;
}
.img_header_row .col {
  min-width: 0;
  display: flex;
}
.img_header_row .col * {
  margin: auto;
}
.img_header_row .article_meta {
  margin-right: 15px;
}
.img_header_row .col input {
  max-width: 100px;
  margin: auto;
  margin-bottom: 0;
  text-align: right;
  background-color: transparent;
  color: grey;
  size: small;
}
.notice {
  display: none;
  position: absolute;
  background-color: var(--bg-notice);
  box-shadow: 0 8px 16px 0 rgb(0,0,0,0.3);
  font-size: 67%;
  padding: 0 5px 5px 5px;
  margin-left: 45px;
  margin-top: 10px;
}

.search_fields input:not([type="checkbox"]):not([type="radio"]) {
  width: 100%;
}
.search_buttons * {
  width: auto !important;
}
.search_table td {
  padding-bottom: 8px !important;
}
.syntax_table {
  margin: 16px 0 16px 8px;
  width: fit-content
}
.syntax_table td {
  padding-right: 16px !important;
  white-space: nowrap;
}
.date_to {
  padding-left: 4px;
  padding-right: 6px;
  align-self: center;
}


.thread_read_summary {
  margin-top: 6px;
}
.thread_read_unread_count::before {
  content: '\2022';
  color: grey;
  padding-right: 8px;
}
.thread_read_unread_count {
  padding-right: 4px;
}
.thread_row {
  flex-wrap: nowrap;
}
.thread_read_toolbar {
  display: flex;
  flex-direction: column;
  flex: 0 0 auto;
  top: 173px;
  position: sticky;
  overflow-y: auto;
  height: fit-content;
  max-height: 90vh;
  width: fit-content;
  min-width: 24px;
  margin: 0;
  margin-top: 0;
  padding: 0;
}
.thread_read_articles {
  flex: 1 1 0;
  max-width: 95%;
}
.thread_root_article {
  padding-bottom: 20px;
}
.thread_replies {
  border-top: 2px solid var(--base-bg-10);
}
.thread_reply_connector {
  padding-left: 18px;
  border-left: 2px solid var(--base-bg-10);
}
.thread_reply_connector_unread {
  padding-left: 18px;
  border-left: 3px solid rgb(223, 134, 32, 0.7);
}
.box.thread_reply_connector_unread {
  /* use class to id main article as unread, but don't let it do anything */
  padding-left: 30px;
  border-style: hidden;
}
.thread_reply_toggle {
  height: fit-content;
  width: fit-content;
  margin-left: -31px;
  background-color: var(--bg-thread-reply);
}
.thread_reply_article {
  padding-bottom: 15px;
  padding-right: 30px;
}
.thread_reply_article_footer .col {
  align-content: center;
}
.thread_reply_article_header,
.thread_reply_article_footer {
  padding-top: 10px;
  display: flex;
}
.thread_reply_article_header {
  align-items: baseline;
  padding-bottom: 10px;
}
.thread_reply_article_header .article_meta::before {
  content: '\2022';
  color: grey;
  padding-left: 4px;
  padding-right: 4px;
}
.thread_reply_article_header .article_meta {
  margin-right: 8px;
}
.thread_root_article_read_less,
.thread_reply_article_read_less {
  position: relative;
  overflow: hidden;
  line-height: 1em;
  height: auto;
}
.thread_root_article_read_less {
  max-height: 20em;
}
.thread_reply_article_read_less,
.thread_article_read_more {
  padding-top: 8px;
}
.thread_reply_article_read_less {
  max-height: 10em;
}
.thread_root_article_read_less::after,
.thread_reply_article_read_less::after {
  content: "";
  position: absolute;
  z-index: 1;
  bottom: 0;
  left: 0;
  pointer-events: none;
  background-image: var(--thread-linear-grad);
  width: 100%;
  height: 4em;
}
.thread_article_read_more {
  /* What could this possibly really be for? */
  /* max-height: auto; */
  line-height: 1em;
}

.quote_block {
  padding: 5px 5px 5px 16px;
  border-left: 2px solid var(--base-bg-10);
}
.quote_block_hide {
  display: none;
}


.options * {
  margin-bottom: 8px;
}

.subform {
  padding-top: 10px;
  padding-bottom: 24px;
}

.welcome {
  max-width: 50%;
  max-width: fit-content;
  transition: max-height 0.2s ease-out;
  margin-bottom: 30px;
  background-color: var(--bg-compose);
}
.welcome .LinkButtons {
  margin-top: -10px !important;
  margin-right: -24px !important;
}

.button_right {
  float: right;
  margin-top: -8px;
  margin-right: -4px;
  font-size: small;
}

.UnreadText { color: var(--text4) !important; }
.BlueText { color: #2898bd; }
a.UnreadText:hover { color: var(--text3) !important; }
a.UnreadText:visited { color: var(--vlink); }
a.DoneText:not(:hover) { color: gray !important; }

.activity_chart {
  margin: auto;
  width: 95vw;
  height: 69vh;
}
.activity_chart #container {
  height: 100%;
  width: 100%;
}

.nav_header {
  margin-bottom: 9px;
  flex-wrap: nowrap;
}
.nav_header .col {
   flex: 1 1 0;
   align-items: center;
}
.nav_header .col:last-child {
   justify-content: right;
}
.nav_details {
  display: flex;
  flex-wrap: nowrap;
}
.nav_details * {
  margin-right: 4px;
}
.nav_details *:not(:first-child) {
  margin: 0;
}
.nav_details .dropdown-content {
  white-space: nowrap;
  padding: 24px 24px 18px 24px !important;
  right: 8px;
}
.nav_details .dropdown-content * {
  margin-bottom: 8px !important;
}

.SubjCol { width: 100%; padding-right: 4px; }

/* ----------------------------------------------------
  Tables
---------------------------------------------------- */
table {
  width: fit-content;
  color: var(--text1);
  border-collapse: collapse;
  border: 2px solid var(--base-bg-10);
  background-color: var(--base-bg-5);
}

th {
  background-color: var(--th-background);
  font-variant-caps: small-caps;
  font-size: large;
  padding: 8px 5px 10px 5px;
  font-weight: normal;
  border-width: 0;
}
th a { color:var(--text1) !important; }

/* alt row highlighting */
.AltRow, xtr:nth-child(even) { background-color: var(--bg-row-even); }

/* article details users read/unread */
.InactiveUser { color: gray; font-style: italic; }

.inactive_cb_text {
  color: gray;
  font-style: italic;
}

td {
  padding: 8px 5px 10px 5px;
}

table.RedBox { border: 5px solid #FF8080; }
th.error {
  background-color: #FF8080;
  color: #FFFFC0;
  font-family: Tahoma, sans-serif;
}

tr.EmphasizeRow { border: 1px dashed var(--bg-row-emphasize); }

/* thread tree */
.TreeGrid {
  padding-left: 8px;
  padding-right: 8px;;
}
.TreeGrid tr { background-color: transparent; }
.TreeGrid .AltRow { background-color: var(--altrow-bg); }
.TreeGrid td { padding-right:24px; }

.invisible_table {
  margin: auto;
  border-width: 0;
  background-color: transparent;
}
.invisible_table table {
  border-style:hidden;
  background-color: transparent;
}
.invisible_table td {
  padding: 6px 0 0 0;
  border-width: 0;
}

.aliase_table {
  vertical-align: top;
}

/* ----------------------------------------------------
  DSP Things
---------------------------------------------------- */
table.box {border-style: solid; border-width: 2px; border-color: #C0C0C0}
table.ThinBox {border-style: solid; border-width: 1px; border-color: #C0C0C0}
td.box {border-style: solid; border-width: 2px; border-color: #C0C0C0}
td.ThinBox {border-style: solid; border-width: 1px; border-color: #C0C0C0}
td.small {font-family: Tahoma, sans-serif; font-size: small}
td.x-small {font-family: Tahoma, sans-serif; font-size: x-small}
td.yellow {background-color: #ffffcc;}
.AltRowColor { background-color: var(--altrow-bg); }
.AltRow2 { background-color: var(--altrow-bg); }
.AltRow3 { background-color: var(--altrow-bg); }
.xDataCol { border-left: 1px solid gray; padding-left: 4px; padding-right: 4px; }
.Alert { font-size: small; color: #ffff00; font-weight: bold; }
.RedText { color: #FF8080 !important }

/* ----------------------------------------------------
  Scroll Bars
---------------------------------------------------- */

/* width */
body::-webkit-scrollbar,
textarea::-webkit-scrollbar,
.syntax_block::-webkit-scrollbar {
  width: 12px;
  height: 12px;
}
/* Track */
body::-webkit-scrollbar-track,
textarea::-webkit-scrollbar-track,
.syntax_block::-webkit-scrollbar-track {
  background: var(--base-bg-10);
}
/* Track corner */
body::-webkit-scrollbar-corner,
textarea::-webkit-scrollbar-corner,
.syntax_block::-webkit-scrollbar-corner {
  background: var(--base-bg-10);
}
/* Handle */
body::-webkit-scrollbar-thumb,
textarea::-webkit-scrollbar-thumb,
.syntax_block::-webkit-scrollbar-thumb {
  background: var(--base-bg-20);
}
/* Handle on hover */
body::-webkit-scrollbar-thumb:hover,
textarea::-webkit-scrollbar-thumb:hover,
.syntax_block::-webkit-scrollbar-thumb:hover {
  background: var(--base-bg-30);
}

/* Corner grabby button for resizing */
/* textarea::-webkit-resizer {} */
